
Fit a Negative Binomial generalized linear model.


DESCRIPTION:
       A modification of the system function `glm()'  to  include
       estimation of the additional parameter, theta, for a Nega-
       tive Binomial generalized linear model.

USAGE:
       glm.nb(formula=formula(data), data=sys.parent(), weights, subset,
               na.action, start=eta, control=glm.control(...), method="glm.fit",
               model=F, x=F, y=T, contrasts=NULL, init.theta, link=log, ...)

REQUIRED ARGUMENTS:
formula:    Model formula, as for `glm()'.

OPTIONAL ARGUMENTS:
data:     Optional data frame, as for `glm()'.
weights:    Weights, as for `glm()'.
subset:   As for `glm()'.
na.action:     As for `glm()'.
start:    As for `glm()'.
control:    As for `glm()'.
method:   As for `glm()'.
model:    As for `glm()'.
x:     As for `glm()'.
y:     As for `glm()'.
contrasts:     As for `glm()'.
init.theta:    Optional initial value for  the  theta  parameter.
       If omitted a moment estimator after an initial fit using a
       Poisson GLM is used.
link:     The link function.  Currently must  be  one  of  `log',
       `sqrt' or `identity'.
...:   As for `glm()'.

VALUE:
       A fitted model object of class  `negbin'  inheriting  from
       `glm'  and  `lm'.   The object is like the output of `glm'
       but contains three additional components, namely  `$theta'
       for the ML estimate of theta, `$SE.theta' for its approxi-
       mate standard error (using observed rather  than  expected
       information),   and   `$twologlik'   for  twice  the  log-
       likelihood function.

SIDE EFFECTS:
       None.

DETAILS:
       An alternating iteration process is used.  For given theta
       the  GLM  is  fitted  using  the  same  process as used by
       `glm()'.  For fixed means the theta parameter is estimated
       using  score  and information iterations.  The two are al-
       ternated until convergence of both.

SEE ALSO:
       negative.binomial, anova.negbin, summary.negbin

EXAMPLES:
       # Alternative model for the solder data
       fm <- glm.nb(skips ~ ., data=solder, trace=T)
       summary(fm)
